aboutsummaryrefslogtreecommitdiff
path: root/system/memkind/memkind.SlackBuild
diff options
context:
space:
mode:
authorVijay Marcel <vijaymarcel@outlook.com>2023-05-17 22:06:46 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-05-20 11:17:05 +0700
commite02c0ac8b08388f2c70711aac0abf6f0d8f71a13 (patch)
tree132e3fe47fe293ffafce4a4fcefaedeab36b80cb /system/memkind/memkind.SlackBuild
parent5da218ff1808fee55db486e2de957bbfe9914d09 (diff)
system/memkind: Remove 32bit support.
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/memkind/memkind.SlackBuild')
-rw-r--r--system/memkind/memkind.SlackBuild25
1 files changed, 8 insertions, 17 deletions
diff --git a/system/memkind/memkind.SlackBuild b/system/memkind/memkind.SlackBuild
index 9cb3a0550e154..10cddee6d1deb 100644
--- a/system/memkind/memkind.SlackBuild
+++ b/system/memkind/memkind.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for memkind
-# Copyright 2022 Vijay Marcel
+# Copyright 2022-2023 Vijay Marcel
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -29,14 +29,12 @@ VERSION=${VERSION:-1.14.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
+sys_arch=${sys_arch:-$(uname -m)}
-if [ -z "$ARCH" ]; then
-case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
+case "$sys_arch" in
+ x86_64) export ARCH=x86_64 ;;
+ *) echo "This program will not build on $sys_arch platform" && exit 1 ;;
esac
-fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -50,18 +48,11 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+if [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-march=x86-64 -mtune=native -pipe -O2 -fPIC"
LIBDIRSUFFIX="64"
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ echo "This program will not build on $sys_arch platform" && exit 1
fi
set -e